/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strchr_index.c                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: eduriez <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/11/28 09:08:00 by eduriez           #+#    #+#             */
/*   Updated: 2017/11/28 09:14:34 by eduriez          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int	ft_strchr_index(const char *s, int c)
{
	int	i;

	i = 0;
	while (s[i] != '\0' && s[i] != (char)c)
		i++;
	if (s[i] == (char)c || (s[i] == '\0' && (char)c == '\0'))
		return (i);
	return (-1);
}
